<?php
namespace App\Http\Model;

use Illuminate\Database\Eloquent\Model;

/**
 * Class StZqLocalMatch
 * @package App\Http\Model
 * 足球 赛事 中间表
 */
class StZqLocalMatch extends Model
{

    protected $table = 'st_zq_local_match';
    public $timestamps = false;

    /*
     * 获取一段时间内所有赛事
     */
    public static function getMatchID($models){
        $match_data = $models['model_local_match']::select('match_id','others_match_id','source')
            ->where([['ctime','>',date('Y-m-d H:i:s' , strtotime("-3 day"))]])
            ->get()
            ->toArray();
        return $match_data;
    }

}